<bugID>1396747<Summary>The request's method cannot be deleted in the panel, but it appears deleted in the request lists</Summary><Description>Created attachment 8904462
screencast showing the issue.gif

[Affected versions]:
- latest Nightly 57.0a1
- Beta 56.0b9
- RC 55.0.3

[Affected platforms]:
- Windows 10 x64
- Mac OS X 10.11.6
- Ubuntu 16.04 x64

[Steps to reproduce]:
1. Start Firefox.
2. Go any webpage e.g.: https://en.wikipedia.org/wiki/Main_Page
3. Open netmonitor.
4. Click on a request from the list in order to open the Details panel.
5. Click on Edit and Resend button from the Headers tab.
6. Try to delete the request's method by pressing backspace.

[Expected result]:
- The request's method can be deleted.

[Actual result]:
- The request's method is not deleted in the panel, but it appears deleted in the request lists.

[Regression range]:
- Last good revision: aa534d18c2d25e96243620532d62321ede91ccb9
  First bad revision: bdc79139892e9417108f2653af5a3fd9c37d1b62
  Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=aa534d18c2d25e96243620532d62321ede91ccb9&amp;tochange=bdc79139892e9417108f2653af5a3fd9c37d1b62

[Additional notes]:
- see the attached screencast</Description></bugID>